# LC-API
The definitive Lethal Company modding API. Includes some very useful features to make modding life easier.

# For Developers
If you want to use the API in your plugin, add the LC_API.dll as a project reference!

# Features
AssetBundle loading - Put asset bundles in BepInEx > Bundles and load them using BundleAPI.BundleLoader.GetLoadedAsset

ServerAPI - Utilities relating to the network and server. This includes:

ModdedServer - Automatically alerts other users when you host a server that your server is modded. 
It also lets mod authors make their mods put users in special matchmaking where they can only play with other modded users

Networking - Easily send data across the network to sync data between clients effortlessly

# Releases

# Version 1.0.0
- Release

# Version 1.1.0
- General bug fixes for Networking

- The local player now will NOT receive data that they broadcast. The bool value on the receive delegates is also gone. If you were using Networking, you will need to ajust your code.

# Version 1.1.1
- General bug fixes for Networking

- Plugin developers NEED to update to this version as it includes a fix for a bug that prevented Networking from being used.

# Version 1.2.0
- Added new GameInterfaceAPI. Documentation will be created soon.

- Added new CheatDatabase with the purpose of catching users cheating. When hosting, after someone joins the game will attempt to get a list of all their mods. If the other player has LC_API, it will output the list of all mods they are running in your log. If they dont have LC_API, you wont see their name in the list of players who were found to have mods. That does not mean that they don't have mods installed, it actually means that they are probably trying to get around the API anticheat.

